=== debian/changelog ===
vncsnapshot (1.2a-7) unstable; urgency=medium

  * Remove --no-parallel and patch around --shuffle=reverse (Closes: #1105664)
  * Fix FTBFS with GCC-15 (Closes: #1098069)
  * d/control: Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 22 Aug 2025 16:40:28 +0200

vncsnapshot (1.2a-6) unstable; urgency=medium

  * Team upload

  [ наб ]
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1085473
  * Fix d/p/02_argument_tunnel_broken.patch (Closes: #1075626)
  * debhelper: 9 -> 13
  * Standards-Version: 3.9.3 -> 4.7.0
  * Vcs-Git: https://salsa.debian.org/salvage-team/vncsnapshot.git
    Closes: #638511
  * d/control: Recommends: vnc4server -> tigervnc-standalone-server
    ‒ transitional package last in buster (Closes: #1064008)
  * Remove duplicate d/p/{vnc,tunnel}.patch
  * d/rules: use dh --no-parallel; add hardening; d/p/0003 (Closes: #958220)
  * d/control: lintian debhelper-but-no-misc-depends
  * d/control: lintian description-synopsis-starts-with-article
  * Import upstream diff of listen.c between 1.5 and 1.7 (Closes: #782159)
  * Rules-Requires-Root: no
  * d/watch: fix for inconsistent tarball naming (some have -src suffix,
    some don't)
  * d/copyright: DEP-5
  * old-fsf-address-in-copyright-file

  [ Andreas Tille ]
  * Fix watch file
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove Uploader after discussion with наб
  * debian/dir: removed since not needed

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 09 Nov 2024 17:49:38 +0100

vncsnapshot (1.2a-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999268)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Apr 2022 02:00:41 -0300

vncsnapshot (1.2a-5.1) unstable; urgency=low

  * Non-maintainer upload.
  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #664430)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Bill Allombert ]
  * debian/control: update for libjpeg transition.
    libjpeg62-dev -> libjpeg-dev (Closes: #644970)

 -- Bill Allombert <ballombe@debian.org>  Wed, 06 Jun 2012 18:51:38 +0200

vncsnapshot (1.2a-5) unstable; urgency=low

  * New maintainer (Closes: #483484)
  * cannot capture vnc screen on amd64 (Closes: #536181)
  * argument parsing (-tunnel) broken (Closes: #514310)

 -- Benoit Mortier <benoit.mortier@opensides.be>  Fri, 13 Nov 2009 19:08:53 +0100

vncsnapshot (1.2a-4) unstable; urgency=low

  * Orphaning this package. Maintainer set to Debian QA Group.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Sep 2009 20:43:46 -0400

vncsnapshot (1.2a-3) unstable; urgency=low

  * Change dependency on vnc-common to recommendation on vnc4server or
    tightvncserver (Closes: #469428)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2008 21:54:51 -0500

vncsnapshot (1.2a-2) unstable; urgency=low

  * Updated to standards version 3.7.3 (no changes needed).
  * Updated to debhelper compatibility level 5.
  * Update maintainer email address.
  * debian/watch: Switch to Debian QA's SourceForge redirector.
  * debian/control: Switch Homepage to be a proper control field.
  * Make lintian happy with proper call to 'make clean'

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat,  5 Jan 2008 12:09:33 -0500

vncsnapshot (1.2a-1) unstable; urgency=low

  * Initial Release.
  * Resolve ITP (Closes: #311874)

 -- Roberto C. Sanchez <roberto@familiasanchez.net>  Fri,  3 Jun 2005 20:07:32 -0400
