=== debian/control ===
Source: vncsnapshot
Section: x11
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: наб <nabijaczleweli@nabijaczleweli.xyz>
Build-Depends: debhelper-compat (= 13), libjpeg-dev, zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://vncsnapshot.sourceforge.net/
Vcs-Git: https://salsa.debian.org/salvage-team/vncsnapshot.git
Vcs-Browser: https://salsa.debian.org/salvage-team/vncsnapshot
Rules-Requires-Root: no

Package: vncsnapshot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tigervnc-standalone-server | tightvncserver
Description: Utility that takes JPEG snapshots from VNC servers
 VNC Snapshot is a command-line program for VNC. It will save a JPEG
 image of the VNC server's screen.
 .
 To use this you must be able to connect directly to the VNC server via
 a TCP connection.  It does not yet work for connections tunnelled over
 SSH.
