=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	dh_auto_build -- CDEBUGFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)'

override_dh_installchangelogs:
	dh_installchangelogs CHANGE-LOG.txt

%:
	dh $@
