=== debian/watch ===
version=4
https://sf.net/@PACKAGE@/@PACKAGE@-[-_]?v?(\d[+\.:\~\da-zA-Z]*)(?:-src)?@ARCHIVE_EXT@
